New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Node packages in nixpkgs cannot be updated currently due to cyclic dependency. #3

Closed
rbvermaa opened this Issue Jun 12, 2014 · 6 comments

Comments

Projects
None yet
5 participants
@rbvermaa
Member

rbvermaa commented Jun 12, 2014

Example json:
[ "d" ]

d depends on es5-ext, which depends on es6-iterator, which depends on both d and es5-ext

@rbvermaa

This comment has been minimized.

Show comment
Hide comment
@rbvermaa

rbvermaa Jun 12, 2014

Member

@garbas @shlevy Do you guys have any idea how to resolve this?

Member

rbvermaa commented Jun 12, 2014

@garbas @shlevy Do you guys have any idea how to resolve this?

@lethalman

This comment has been minimized.

Show comment
Hide comment
@lethalman

lethalman Jun 25, 2014

Such packages are connected components, a solution would be to create a single derivation containing d, es5-ext and es6-iterator.

lethalman commented Jun 25, 2014

Such packages are connected components, a solution would be to create a single derivation containing d, es5-ext and es6-iterator.

@shlevy

This comment has been minimized.

Show comment
Hide comment
@shlevy

shlevy Jun 25, 2014

Member

Yes, we have something a bit similar for cycles in peerDependencies.

Member

shlevy commented Jun 25, 2014

Yes, we have something a bit similar for cycles in peerDependencies.

@garbas

This comment has been minimized.

Show comment
Hide comment
@garbas

garbas Jul 4, 2014

Contributor

/me looks on hydra which package is broken

Contributor

garbas commented Jul 4, 2014

/me looks on hydra which package is broken

@rbvermaa

This comment has been minimized.

Show comment
Hide comment
@rbvermaa

rbvermaa Aug 21, 2014

Member

I am removing all packages for now that seem to cause the cyclic dep.

Member

rbvermaa commented Aug 21, 2014

I am removing all packages for now that seem to cause the cyclic dep.

@offlinehacker

This comment has been minimized.

Show comment
Hide comment
@offlinehacker

offlinehacker Jan 16, 2015

Contributor

This is fixed

Contributor

offlinehacker commented Jan 16, 2015

This is fixed

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment